Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.api.score.constraint.primdouble
Class DoubleConstraintMatch

    java.lang.Object
      org.optaplanner.core.api.score.constraint.ConstraintMatch
          org.optaplanner.core.api.score.constraint.primdouble.DoubleConstraintMatch

All Implemented Interfaces:
  Serializable, Comparable<ConstraintMatch>

    public class DoubleConstraintMatch

extends ConstraintMatch

See Also:
  Serialized Form

Field Summary
`protected double` | `weight`

Fields inherited from class org.optaplanner.core.api.score.constraint.ConstraintMatch
`constraintName, constraintPackage, justificationList, scoreLevel`

Constructor Summary
`DoubleConstraintMatch(String constraintPackage, String constraintName, int scoreLevel, List<Object> justificationList, double weight)`

Method Summary
`double` | `getWeight()`
`Number` | `getWeightAsNumber()`

Methods inherited from class org.optaplanner.core.api.score.constraint.ConstraintMatch
`compareTo, getConstraintName, getConstraintPackage, getIdentificationString, getJustificationList, getScoreLevel, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### weight

    protected final double weight

Constructor Detail

### DoubleConstraintMatch

    public DoubleConstraintMatch(String constraintPackage,
                                 String constraintName,
                                 int scoreLevel,
                                 List<Object> justificationList,
                                 double weight)

Method Detail

### getWeight

    public double getWeight()

### getWeightAsNumber

    public Number getWeightAsNumber()

  Specified by:
    `getWeightAsNumber` in class `ConstraintMatch`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.